using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BeyondBasicUnitTesting.Business
{
    public interface IPersonFacade
    {
        IPerson Create();
        IPerson Create(string firstName, string lastName, string emailAddress, string status);
        bool IsPersonValid(IPerson checkThis);
        void SavePerson(IPerson saveThis);
        IPerson GetById(int id);
        IList<IPerson> GetAll();
    }
}
