using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BeyondBasicUnitTesting.Business
{
    public interface IPersonPresenter
    {
        void InitializeBlank(IPersonSearchView view);
        void ViewAll(IPersonSearchView view);

        void InitializeBlank(IPersonDetailView view);
        void LoadById(IPersonDetailView view);
        void Save(IPersonDetailView view);
    }
}
