using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BeyondBasicUnitTesting.Business;

namespace BeyondBasicUnitTesting.WebUI.After
{
    public class BasePage : Page
    {
        public BasePage()
        {

        }

        private IPersonPresenter m_presenter;
        public IPersonPresenter PersonPresenterInstance
        {
            get
            {
                if (m_presenter == null)
                {
                    m_presenter = new PersonPresenter(
                        DemoSession.GetCurrent().LoggerInstance,
                        DemoSession.GetCurrent().PersonRepositoryInstance);
                }
                return m_presenter;
            }
        }
    }
}
