﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BeyondBasicUnitTesting.Business;

namespace BeyondBasicUnitTesting.WebUI.After
{
    public partial class PersonSearchView : BasePage, IPersonSearchView
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (this.IsPostBack == false)
            {
                PersonPresenterInstance.ViewAll(this);
            }
        }
        
        public IList<IPerson> Results
        {
            get
            {
                return null;
            }
            set
            {
                m_grid.DataSource = value;
                m_grid.DataBind();
            }
        }
    }
}
